Name:       gnusim8085
Version:	1.3.6
Release:	1%{?dist}
Summary:	A 8085 Simulator

Group:		Applications/Engineering
License:	GPLv2
URL:		http://gnusim8085.sourceforge.net
Source0:	http://launchpad.net/gnusim8085/trunk/1.3.6/+download/gnusim8085-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtksourceview2-devel
BuildRequires:	desktop-file-utils
BuildRequires:  automake libtool gettext-devel

Requires:	electronics-menu

%description
GNUSim8085 is a graphical simulator for Intel 8085
microprocessor assembly language. It has some very
nice features including a keypad which can be used
to write assembly language programs with much ease.
It also has stack, memory and port viewers which
can be used for debugging the programs.


%prep
%setup -q

# RHBZ = 542945
sed -i \
    "s|share/doc/\${PACKAGE}|share/doc/%{name}-%{version}|" \
    configure.in
sed -i "s|/usr/local/doc/GNUSim8085|%{_docdir}/%{name}-%{version}|" src/callbacks.c

%{__libtoolize} --force --copy
%{__aclocal}
%{__automake} --add-missing
%{__autoconf}

%build
%configure
make %{?_smp_mflags} RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/pixmaps/%{name}
make INSTALL="install -p" DESTDIR=%{buildroot} install

desktop-file-install --vendor "" \
--add-category "Electronics" \
--delete-original \
--dir %{buildroot}%{_datadir}/applications/ \
%{buildroot}%{_datadir}/applications/GNUSim8085.desktop
mkdir -p %{buildroot}%{_mandir}/man1
rm -rf %{buildroot}%{_docdir}


%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :



%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc  ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README TODO
%doc  doc/examples/ doc/asm-guide.txt
%{_mandir}/man1/%{name}.1.gz
%{_bindir}/gnusim8085
%{_datadir}/applications/GNUSim8085.desktop
%{_datadir}/gnusim8085/
%{_datadir}/pixmaps/gnusim8085/
%{_datadir}/icons/hicolor/scalable/apps/gnusim8085.svg

%changelog
* Tue Mar 02 2010 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.3.6-1
- New upstream release

* Thu Dec 10 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.3.5-6
- Fixed broken package version naming
- Change docdir in configure.in fix RHBZ 542945
- Reverted sources to stable 1.3.5 : thankfully release 5 was not pushed to repos

* Thu Dec 3 2009 Rangeen Basu Roy Chowdhury <sherry151 AT fedoraproject DOT org> - svn.141-5
- Fixed Bug-542945

* Thu Dec 3 2009 Rangeen Basu Roy Chowdhury <sherry151 AT fedoraproject DOT org> - svn.141-4
- Updated to svn.141 version

* Sun Jun 7 2009 Rangeen Basu Roy Chowdhury <sherry151 AT fedoraproject DOT org> - 1.3.5-4
- Ownership of pixmap/gnusim8085 directory included and some typos fixed.

* Sun Jun 7 2009 Rangeen Basu Roy Chowdhury <sherry151 AT fedoraproject DOT org> - 1.3.5-3
- Changes made to fine tune the package- copy manual, preserve time stamp

* Tue Jun 2 2009 Rangeen Basu Roy Chowdhury <sherry151 AT fedoraproject DOT org> - 1.3.5-2
- Changes made to match Fedora Packaging Guidelines

* Tue Jun 2 2009 Rangeen Basu Roy Chowdhury <sherry151 AT fedoraproject DOT org> - 1.3.5-1
- First Fedora Package
